From 8985a1dc35c697945560072af44ddb100e7847ba Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Piotr=20W=C3=B3jcik?= <chocimier@tlen.pl>
Date: Sat, 29 Jun 2019 17:03:32 +0200
Subject: [PATCH 1/2] update-check: find versions with more components

---
 common/xbps-src/shutils/update_check.sh | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/common/xbps-src/shutils/update_check.sh b/common/xbps-src/shutils/update_check.sh
index 445600a2fe9..e278fe90e34 100644
--- a/common/xbps-src/shutils/update_check.sh
+++ b/common/xbps-src/shutils/update_check.sh
@@ -78,7 +78,9 @@ update_check() {
             fi
             skipdirs=
             curl -A "xbps-src-update-check/$XBPS_SRC_VERSION" --max-time 10 -Lsk "$urlpfx" |
-                grep -Po -i "$rx" | sort -Vru |
+                grep -Po -i "$rx" |
+                # sort -V places 1.1/ before 1/, but 1A/ before 1.1A/
+                sed -e 's:$:A:' -e 's:/A$:A/:' | sort -Vru | sed -e 's:A/$:/A:' -e 's:A$::' |
                 while IFS= read -r newver; do
                     newurl="${urlpfx}${newver}${urlsfx}"
                     if [ "$newurl" = "$url" ]; then

From e19c1178ac0984c48c7ea606392a705936a6efd6 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Piotr=20W=C3=B3jcik?= <chocimier@tlen.pl>
Date: Sat, 29 Jun 2019 17:03:32 +0200
Subject: [PATCH 2/2] vlc: update to 3.0.7.1.

---
 srcpkgs/vlc/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/vlc/template b/srcpkgs/vlc/template
index 1c281e1a235..57b27bfda07 100644
--- a/srcpkgs/vlc/template
+++ b/srcpkgs/vlc/template
@@ -1,6 +1,6 @@
 # Template file for 'vlc'
 pkgname=vlc
-version=3.0.7
+version=3.0.7.1
 revision=1
 build_style=gnu-configure
 configure_args="--disable-gme --disable-libtar --enable-jack
@@ -15,7 +15,7 @@ license="GPL-2.0-only, LGPL-2.1-only"
 homepage="https://www.videolan.org/vlc/"
 changelog="https://www.videolan.org/developers/vlc-branch/NEWS"
 distfiles="https://download.videolan.org/pub/videolan/vlc/${version}/vlc-${version}.tar.xz"
-checksum=5cb5fe140f0f4bae3e0a613fb5f516270f62e2dbde6de27fa78ea9f43cd73916
+checksum=0655804371096772f06104b75c21cde8a76e3b6c8a2fdadc97914f082c6264f5
 
 lib32disabled=yes
 
